<?php

/*
 * @version		$Id: helper.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/
 
// no direct access
defined('_JEXEC') or die('Restricted access');

class modhdwplayergalleryHelper
{

    function getItems( $params )
    {
		$mainframe           = JFactory::getApplication();	
		
		$itm                 = array();
		$itm["link"]         = $params->get('link');
		$itm["type"]         = $params->get('type');
		$itm["rows"]         = $params->get('rows');
		$itm["columns"]      = $params->get('columns');
		$itm["thumbwidth"]   = $params->get('thumbwidth');
		$itm["thumbheight"]  = $params->get('thumbheight');
		$itm["space"]        = $params->get('space');
					
		$limit               = $itm["rows"] * $itm["columns"];
		
		if( (substr(JVERSION,0,3) == '1.5') ) {
			$limitstart = JRequest::getVar('limitstart', 0, '', 'int');	
		} else {
			$limitstart = JRequest::getVar(strtolower( $params->get('type') ).'limitstart', 0, '', 'int');	
		}		
		
		if(($limitstart + $limit) > $params->get('limit') && $params->get('limit') != '') {
			$limit = $params->get('limit') - $limitstart;
		}	
		
		$db                  = JFactory::getDBO();	
		
		if($itm["type"] == 'Videos') {	
			
		    $category		   =  (array) $params->get('categories');
			$category          =  implode('","', $category);
			
			$query             =  "SELECT id,thumb,title FROM #__hdwplayer_videos WHERE published=1";
			if(JRequest::getCmd('wid')) {
				$query        .= ' AND id!='.JRequest::getCmd('wid');
			}
			$query            .=  ($category != '') ? ' AND category IN ("'.$category.'")' : '';
			$query            .=  ' ORDER BY category,ordering';
       		$db->setQuery( $query, $limitstart, $limit );
       		$output            = $db->loadObjectList();
			$itm["videos"]     = $output;	
			
		} else if($itm["type"] == 'Latest') {	
			
		    $category		   =  (array) $params->get('categories');
			$category          =  implode('","', $category);
			
			$query             =  "SELECT id,thumb,title FROM #__hdwplayer_videos WHERE published=1";
			if(JRequest::getCmd('wid')) {
				$query        .= ' AND id!='.JRequest::getCmd('wid');
			}
			$query            .=  ($category != '') ? ' AND category IN ("'.$category.'")' : '';
			$query            .=  ' ORDER BY id DESC';
       		$db->setQuery( $query, $limitstart, $limit );
       		$output            = $db->loadObjectList();
			$itm["videos"]     = $output;	
			
		} else if($itm["type"] == 'Popular') {	
			
		    $category		   =  (array) $params->get('categories');
			$category          =  implode('","', $category);
			
			$query             =  "SELECT id,thumb,title FROM #__hdwplayer_videos WHERE published=1";
			if(JRequest::getCmd('wid')) {
				$query        .= ' AND id!='.JRequest::getCmd('wid');
			}
			$query            .=  ($category != '') ? ' AND category IN ("'.$category.'")' : '';
			$query            .=  ' ORDER BY views DESC';
       		$db->setQuery( $query, $limitstart, $limit );
       		$output            = $db->loadObjectList();
			$itm["videos"]     = $output;	
			
		} else if($itm["type"] == 'Featured') {	
			
		    $category		   =  (array) $params->get('categories');
			$category          =  implode('","', $category);
			
			$query             =  "SELECT id,thumb,title FROM #__hdwplayer_videos WHERE published=1";
			$query            .=  " AND featured=1";
			if(JRequest::getCmd('wid')) {
				$query        .= ' AND id!='.JRequest::getCmd('wid');
			}
			$query            .=  ($category != '') ? ' AND category IN ("'.$category.'")' : '';
       		$db->setQuery( $query, $limitstart, $limit );
       		$output            = $db->loadObjectList();
			$itm["videos"]     = $output;	
			
		} else {
		
			if(JRequest::getCmd('catid')) {
		    	$category          = JRequest::getCmd('catid');
				$query             =  "SELECT id,thumb,title FROM #__hdwplayer_videos WHERE published=1";
				if(JRequest::getCmd('wid')) {
					$query        .= ' AND id!='.JRequest::getCmd('wid');
				}
				$query            .=  ' AND category="'.$category.'"';
				$query            .=  ' ORDER BY ordering';
       			$db->setQuery( $query, $limitstart, $limit );
       			$output            = $db->loadObjectList();
				$itm["videos"]     = $output;
			} else {
				$category		   =  (array) $params->get('categories');
				$category          =  implode('","', $category);
				$query             =  "SELECT * FROM #__hdwplayer_category WHERE published=1";
				$query            .=  ($category != '') ? ' AND name IN ("'.$category.'")' : '';
				$db->setQuery( $query, $limitstart, $limit );
				$output            = $db->loadObjectList();
				$itm["categories"] = $output;
			}
			
		}
		
        return $itm;
    }
	
	function getPagination( $params )
  	{
		 $mainframe  = JFactory::getApplication();	
		 
		 $db         = JFactory::getDBO();	
		 
		 if($params->get('type') == 'Videos' || $params->get('type') == 'Latest' || $params->get('type') == 'Popular') {
		 
		    $category   =  (array) $params->get('categories');
		 	$category   =  implode('","', $category); 
			
		 	$query      =  "SELECT COUNT(id) FROM #__hdwplayer_videos WHERE published=1";
		 	if(JRequest::getCmd('wid')) {
				$query  .= ' AND id!='.JRequest::getCmd('wid');
			 }
			 $query     .=  ($category != '') ? ' AND category IN ("'.$category.'")' : '';
       		 $db->setQuery( $query );
       		 $output     = $db->loadResult();
			 $total      = $output;
			 
		}  else if($params->get('type') == 'Featured') {
		 
		    $category   =  (array) $params->get('categories');
		 	$category   =  implode('","', $category); 
			
		 	$query      =  "SELECT COUNT(id) FROM #__hdwplayer_videos WHERE published=1 AND featured=1";
		 	if(JRequest::getCmd('wid')) {
				$query  .= ' AND id!='.JRequest::getCmd('wid');
			 }
			 $query     .=  ($category != '') ? ' AND category IN ("'.$category.'")' : '';
       		 $db->setQuery( $query );
       		 $output     = $db->loadResult();
			 $total      = $output;
			 
		} else {
		 
		 	if(JRequest::getCmd('catid')) {
				$category    = JRequest::getCmd('catid');
			 	$query       = "SELECT COUNT(id) FROM #__hdwplayer_videos WHERE published=1";
			 	if(JRequest::getCmd('wid')) {
					$query  .= ' AND id!='.JRequest::getCmd('wid');
				 }
				 $query     .=  ' AND category="'.$category.'"';
       			 $db->setQuery( $query );
       			 $output     = $db->loadResult();
				 $total      = $output;
			 } else {		
			 	$category   =  (array) $params->get('categories');
		 		$category   =  implode('","', $category); 
		 		$query      =  "SELECT COUNT(id) FROM #__hdwplayer_category WHERE published=1";
		 		$query     .=  ($category != '') ? ' AND name IN ("'.$category.'")' : '';
       	 		$db->setQuery( $query );
       	 		$output     = $db->loadResult();
		 		$total      = $output;
		 	}
			
		}

		if($total > $params->get('limit') && $params->get('limit') != '') {
			$total = $params->get('limit');
		}
		 
		$rows       = $params->get('rows');
		$columns    = $params->get('columns');		
		$limit      = $rows * $columns;
		 
		jimport( 'joomla.html.pagination' );
		 
		if( (substr(JVERSION,0,3) == '1.5') ) {
			$limitstart = JRequest::getVar('limitstart', 0, '', 'int');	
			$pageNav = new JPagination($total, $limitstart, $limit);
		} else {
			$limitstart = JRequest::getVar(strtolower( $params->get('type') ).'limitstart', 0, '', 'int');		 	
		 	$pageNav = new JPagination($total, $limitstart, $limit, strtolower( $params->get('type') ));
		}	 
		 
        return($pageNav);
  	}
	
	function googleads()
    {
         $db     = JFactory::getDBO();
         $query  = "SELECT * FROM #__hdwplayer_googleads";
         $db->setQuery( $query );
         $output = $db->loadObjectList();
		 
         return($output[0]);
	}
	
}

?>